import { XDataDefinition } from "../../Common/Data/XDataDefinition";
import { IContext } from "../../Common/IContext";
import { DialogProps } from "../../CommonUI/BuildUI/Notification";
import { IDesignPanelConfig } from "../../Form/FormDesignConstants";
import { RuleBuilderPage } from "../DesignUI/RuleBuilderPage";
import { XStatementRuleEditor } from "./StatementRuleEditor";
import { ILinkingData } from "../Common/ILinkingData";
export declare class StatementRuleEditContext implements IContext {
    designConfig?: IDesignPanelConfig | undefined;
    runtimeConfig?: IDesignPanelConfig | undefined;
    clipboardElement: any;
    lastSelectionElement: any;
    inputDataDefinition?: XDataDefinition;
    outputDataDefinition?: XDataDefinition;
    mode: RuleBuilderPage;
    ruleEditor: XStatementRuleEditor;
    title?: string;
    constructor(ruleEditor: XStatementRuleEditor);
    onRuleSave?: () => void;
    onRuleCancel?: () => void;
    onCopy(id?: string): void;
    onCut(id?: string): void;
    onDelete(id?: string): void;
    onPaste(id?: string): void;
    _notification: DialogProps | undefined;
    set notification(notification: DialogProps | undefined);
    get notification(): DialogProps | undefined;
    _openLinkingDialog: boolean;
    set openLinkDialog(open: boolean);
    get openLinkDialog(): boolean;
    _linkData: ILinkingData;
    set linkData(data: ILinkingData);
    get linkData(): ILinkingData;
}
